Bug 460159 - RFE: Make it possible to add comments without enabling javascript
RFE: Make it possible to add comments without enabling javascript
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 11:27 EDT by Bruno Wolff III
Modified: 2016-09-19 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.5.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 11:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-08-26 11:27:22 EDT
Description of problem:
The current version of bodhi deployed at admin.fedoraproject.org requires javascript enabled in order to add comments. The form is there but it as marked as hidden and javascript is used to unhide it. Perhaps the hidden property could be added by javascript code and the form could always be visible when javascript is disabled.

Version-Release number of selected component (if applicable):
0.5.0

How reproducible:
100%

Steps to Reproduce:
1. Disable javascript
2. Go to https://admin.fedoraproject.org/updates/kernel-2.6.26.3-17.fc9
3. Click on the add a comment link
  
Actual results:
Cursor repositions to the top of the page.

Expected results:
Be presented with a comment page.

Additional info:
Comment 1 Luke Macken 2008-08-27 11:00:50 EDT
Fixed in ec46f3f6bde03abfcadb4b9f8ac64586ede9acf1
Comment 2 Bruno Wolff III 2008-08-27 11:20:11 EDT
This is marked need info, but I am not sure what your are looking for. I don't have my own copy of Bodhi running and I don't think it would be easy to set up. (But maybe I am wrong?) I did a quick try of Fedora's bodhi server and it doesn't appear to have changed yet.
I appreciate that you fixed this (and quickly!) and if you can give me an idea of what you need I'll try to comply.
Comment 3 Luke Macken 2008-08-27 11:20:34 EDT
I pushed this fix into production.  Please reopen this bug if you still encounter this issue.  Thanks for the report!
Comment 4 Bruno Wolff III 2008-08-27 11:25:51 EDT
I either pulled a copy from cache or got to Fedora's bodhi too soon. I now see 0.5.1 and was able to easly add a comment with javascript disabled. Thanks!
Comment 5 Bruno Wolff III 2008-08-27 11:26:43 EDT
Ack! I meant withOUT javascript.
Comment 6 Bruno Wolff III 2008-08-27 11:30:31 EDT
I need more sleep. I said the correct thing the first time, I just reread it incorrectly.

Note You need to log in before you can comment on or make changes to this bug.